| Home | Libraries | People | FAQ | More

## Class template mutex_type

boost::signals2::keywords::mutex_type — A template keyword for signal_type.

## Synopsis

    // In header: <boost/signals2/signal_type.hpp>

    template<typename Mutex>
    class mutex_type : public unspecified-type {
    };

## Description

This class is a template keyword which may be used to pass the wrapped `Mutex` template type to the signal_type metafunction as a named parameter.

The code for this class is generated by a calling a macro from the Boost.Parameter library: `BOOST_PARAMETER_TEMPLATE_KEYWORD(mutex_type)`